# Retrieve next renewal price

Use the **getNextRenewalPrice** method to retrieve information on the costs customers incur on the next renewal for a subscription, per the recurring billing configuration.

## Request parameters <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="217.2000732421875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>SubscriptionReference</code></td><td><strong>Required (string)</strong><br>Unique, system-generated subscription identifier.</td></tr><tr><td><code>Currency</code></td><td><strong>Required (string)</strong><br>ISO 4217 code.</td></tr></tbody></table>

### Request sample <a href="#request" id="request"></a>

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = 'YOUR_SUBSCRIPTION_REFERENCE';
$Currency = 'eur';

$jsonRpcRequest = array (
'method' => 'getNextRenewalPrice',
'params' => array($sessionID, $subscriptionReference, $Currency),
'id' => $i++,
'jsonrpc' => '2.0');

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters <a href="#response" id="response"></a>

<table><thead><tr><th width="190.5333251953125">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="/pages/df7d251f46cea14d76c9f84e0ef0da15d4d0a70e"><code>Next renewal price</code></a></td><td><strong>Object</strong></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/next-renewal-price/retrieve-next-renewal-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
